#include <stdio.h>
#include "../winuser.h"
int _CRrichText(mmachine m)
{ m->pp+=8;return MMpush(m,NIL); }
int _SETcolorRichText(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int _SETboldRichText(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int _PAINTrichText(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETrichText(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETcharFromPos(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBclickRichText(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _SETunderlineRichText(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int _SETfontRichText(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int _SETitalicRichText(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int _SETstrikeoutRichText(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int _SEToffsetRichText(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int _DSrichText(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SIZErichText(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _GETrichTextSizePosition(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _POSITIONrichText(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _GETrichTextPositionSize(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SETtextRichText(mmachine m)
{ m->pp+=6;return MMpush(m,NIL); }
int _ADDtextRichText(mmachine m)
{ m->pp+=6;return MMpush(m,NIL); }
int _SETsizeRichText(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int _CBrichTextDropFile(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _RTFtoRichText(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _GETlineCountRichText(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _DELlineRichText(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _ENrichText(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SETbkgColorRichText(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SCROLLrichText(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _GETrichTextFirstLine(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETrichTextLine(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
#define NrichtextPKG 29
char* richtextname[NrichtextPKG]=
{"_CRrichText","_SETcolorRichText","_SETboldRichText","_PAINTrichText","_GETrichText","_GETcharFromPos","_CBclickRichText","_SETunderlineRichText","_SETfontRichText","_SETitalicRichText","_SETstrikeoutRichText","_SEToffsetRichText","_DSrichText","_SIZErichText","_GETrichTextSizePosition","_POSITIONrichText","_GETrichTextPositionSize","_SETtextRichText","_ADDtextRichText","_SETsizeRichText","_CBrichTextDropFile","_RTFtoRichText","_GETlineCountRichText","_DELlineRichText","_ENrichText","_SETbkgColorRichText","_SCROLLrichText","_GETrichTextFirstLine","_GETrichTextLine"};
int (*richtextfun[NrichtextPKG])(mmachine m)=
{_CRrichText,_SETcolorRichText,_SETboldRichText,_PAINTrichText,_GETrichText,_GETcharFromPos,_CBclickRichText,_SETunderlineRichText,_SETfontRichText,_SETitalicRichText,_SETstrikeoutRichText,_SEToffsetRichText,_DSrichText,_SIZErichText,_GETrichTextSizePosition,_POSITIONrichText,_GETrichTextPositionSize,_SETtextRichText,_ADDtextRichText,_SETsizeRichText,_CBrichTextDropFile,_RTFtoRichText,_GETlineCountRichText,_DELlineRichText,_ENrichText,_SETbkgColorRichText,_SCROLLrichText,_GETrichTextFirstLine,_GETrichTextLine};
int richtextnarg[NrichtextPKG]=
{8,4,4,1,1,3,3,4,3,3,3,3,1,5,1,5,1,6,6,4,3,2,1,2,2,2,3,1,2};
char* richtexttype[NrichtextPKG]=
{"fun [Chn ObjWin I I I I I S] ObjRichText","fun [ObjRichText I I I] ObjRichText","fun [ObjRichText I I I] ObjRichText","fun [ObjRichText] ObjRichText","fun [ObjRichText] S","fun [ObjRichText I I] I","fun [ObjRichText fun [ObjRichText u0 I I] u1 u0] ObjRichText","fun [ObjRichText I I I] ObjRichText","fun [ObjRichText S I I] ObjRichText","fun [ObjRichText I I I] ObjRichText","fun [ObjRichText I I I] ObjRichText","fun [ObjRichText I I I] ObjRichText","fun [ObjRichText] I","fun [ObjRichText I I I I] ObjRichText","fun [ObjRichText] [I I I I]","fun [ObjRichText I I I I] ObjRichText","fun [ObjRichText] [I I I I]","fun [ObjRichText S S I I I] ObjRichText","fun [ObjRichText S S I I I] ObjRichText","fun [ObjRichText I I I] ObjRichText","fun [ObjRichText fun [ObjRichText u0 I I [P r1]] u1 u0] ObjRichText","fun [ObjRichText S] ObjRichText","fun [ObjRichText] I","fun [ObjRichText I] ObjRichText","fun [ObjRichText I] ObjRichText","fun [ObjRichText I] ObjRichText","fun [ObjRichText I I] ObjRichText","fun [ObjRichText] I","fun [ObjRichText I] S"};
int SCOLloadrichtext(mmachine m)
{
return PKhardpak(m,"richtext.pkg",NrichtextPKG,richtextname,richtextfun,richtextnarg,richtexttype);
}
